/*
 * $Id: main.h,v 1.1 1998/06/15 04:17:14 elkner Exp $
 *
 * Author:  Jens Elkner            elkner@ivs.cs.uni-magdeburg.de
 * Project: Jesalfa     http://ivs.cs.uni-magdeburg.de/~elkner/webtools/jesalfa/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * http://www.gnu.org/copyleft/gpl.html or ./gpl.html
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

#ifndef MAIN_H
#define MAIN_H

extern int debuglevel;
extern int numeric;
extern int verbose;
extern FILE *errfd;
extern char *outpath;
extern char section[128];

extern int do_domain;
extern int do_content;
extern int do_extension;
extern int do_proto;

#ifndef BUFSIZE
#define BUFSIZE 4096            /* 1 page */
#endif

#ifndef URLBUF
#define URLBUF 1024            /* max. URL SIZE */
#endif

#define TRUE 1
#define FALSE 0

#define OR(A,B) (A ? A : B)

#endif /* MAIN_H */
