/* tree.h - declare structures used by tree library
 *
 * vix 22jan93 [revisited; uses RCS, ANSI, POSIX; has bug fixes]
 * vix 27jun86 [broken out of tree.c]
 *
 * $Id: tree.h,v 1.2 1997/02/25 16:09:09 wessels Exp $
 */


#ifndef	TREE_H
#define	TREE_H

typedef struct tree_s {
    void *data;
    short bal;
    struct tree_s *left, *right;
} tree;

#include "ansiproto.h"

void tree_init _PARAMS((tree **));
void *tree_srch _PARAMS((tree **, int (*)(), void *));
void *tree_add _PARAMS((tree **, int (*)(), void *, void (*)()));
int tree_delete _PARAMS((tree **, int (*)(), void *, void (*)()));
int tree_trav _PARAMS((tree **, int (*)()));
void tree_mung _PARAMS((tree **, void (*)()));

#endif /* TREE_H */
